Bug 466179 - Netbeans displays non-free EULA on upgreade
Netbeans displays non-free EULA on upgreade
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netbeans (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Victor G. Vasilyev
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-10-08 17:40 EDT by Mark Wielaard
Modified: 2008-10-24 15:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 15:51:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Wielaard 2008-10-08 17:40:38 EDT
Description of problem:

After bug #464820 was fixed Netbeans just starts up without any annoying EULA (great! thanks.) But the first thing it does is go out on the net and present me with multiple updates. ( Ant [1.1 -> 1.1.1] GUI Builder [1.1 -> 1.1.2] Java Debugger [1.7 -> 1.7.2] Java [1.1 -> 1.1.3] Mercurial [1.6.42.1 -> 1.6.44.42.1] NetBeans 6.1 [1.1 -> 1.1.1] NetBeans Plugin Development [1.1 -> 1.1.3] XML Tools Java Ext [1.0 -> 1.0.1]) If I click on the update button it presents me with an EULA to accept. The EULA does contain the text of the GPL, but also additional terms like:

Additional license (javac-impl-nb-7.0-b07-license.txt) associated with the following files: modules/ext/javac-impl-nb-7.0-b07.jar
Sun Microsystems, Inc. Binary Code License Agreement

Which contains a lot of the terms mentioned in the original EULA from bug #464820.

Version-Release number of selected component (if applicable):

netbeans-6.1-7.fc10.noarch

How reproducible:

Always

Steps to Reproduce:
1. Run netbeans.
2. See "updates available" hint.
3. Click on "Click here to make your IDE up to date."
  
Actual results:

- Being presented with no less than 10 (!) updates that require accepting an annoying, non-free proprietary license.

Expected results:

- Updates being packaged as normal Fedora updates without annoying EULA to accept.

Additional info:

The user has the option to not accept the updates. But I think it is somewhat sneaky to provide updates of components in Fedora that are non-free.

Also I would normally expect these core components to be updated through the normal fedora package manager and not through an external application specific update mechanism.
Comment 1 Tom "spot" Callaway 2008-10-08 17:44:59 EDT
Victor? Can you please disable this in the Fedora package? :)
Comment 2 Victor G. Vasilyev 2008-10-08 18:34:34 EDT
Tom, of course, a right solution will be found ASAP :-)
Comment 3 Mark Wielaard 2008-10-09 04:17:04 EDT
I think the right solution is:

a) Don't enable an automatic update manager by default if that bypasses the normal package manager. (Let the core packages be upgraded by the normal Fedora package management, unless the user chooses to).

b) Only include update sites that only provide Free Software update packages by default (the user should be able to trust the default Fedora setup to not include non-free updates, unless the user chooses to add such things themselves).
Comment 4 Alexei Mokeev 2008-10-10 10:32:16 EDT
I would join the solution a): disable automatic updates by default for the NetBeans packages that were installed by normal Fedora package management. 
Even when this may take some time for implementation on the infrastructure side, it looks the best for the end user.
Comment 5 Mark Wielaard 2008-10-10 10:58:57 EDT
You need a) and b) imho.
It would not be good if by enabling the updater in netbeans it would pull in proprietary packages that might even replace (free) netbean plugins already in fedora. Isn't there a standard free-software-only update site for Netbeans?
Comment 6 Alexei Mokeev 2008-10-11 02:48:25 EDT
You are right, b) is a perfect solution. But the implementation of automatic modules filtering by license could be complicated and can't be done quickly.

At the same time replace of already installed packages should never happen, even now and even if user accepted the license: All the updates and new features from UC by default are going into a user home directory: ~/.netbeans/ unless he is root;
So I suggest to implement a) and evaluate feasibility of b) in long term. Would that be OK ?
Comment 7 Victor G. Vasilyev 2008-10-13 10:34:15 EDT
The next release 8 is prepared.

Changes:

* Special update center - "NetBeans for Fedora" is created, registered, and enabled by default in the IDE. This update center shouldn't contain any updates to the already installed stuff.
* Standard update center - "NetBeans" is disabled by default in the IDE.

Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=877302
Comment 8 Mark Wielaard 2008-10-21 12:17:53 EDT
I installed netbeans-6.1-8.fc10.noarch and it seems to fix both issues as Victor said in comment #7. I believe this bug can be closed now. Thanks!

Note You need to log in before you can comment on or make changes to this bug.